image: registry.salsa.debian.org/mobian-team/docker-images/mobian-server-ci-amd64:latest

stages:
  - build
  - publish

build:
  stage: build
  script:
    - hugo
  artifacts:
    paths:
      - public

publish:
  stage: publish
  tags:
    - ssh
  needs:
    - build
  script:
    - chmod 0400 "$MOBIAN_SSH_KEY"
    - eval $(ssh-agent -s)
    - ssh-add "$MOBIAN_SSH_KEY"
    - rsync -avz --delete public/ builder@mobian.org:/var/www/blog
  rules:
    - if: $CI_MERGE_REQUEST_ID
      when: never
    - if: $CI_COMMIT_BRANCH == "master" && $MOBIAN_SSH_KEY
      when: on_success
    - when: never
